=== scripts/CMakeLists.txt ===
add_subdirectory(rules)
add_subdirectory(transformations)
