## vera++ 1.1.1

=== debian/changelog ===
vera++ (1.1.1-3build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:45 +0100

vera++ (1.1.1-3) unstable; urgency=low

  * Enhanced debian user experience. Added default profiles and scripts
    and adapted root directory search algorithm.
  * Updated man.

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Wed, 12 Sep 2012 18:57:07 +0200

vera++ (1.1.1-2) unstable; urgency=low

  * Hardening flags fix (Closes: #685168).

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Mon, 20 Aug 2012 12:22:32 +0200

vera++ (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #536363)

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Tue, 14 Aug 2012 12:20:57 +0200
