=== debian/control ===
Source: vera++
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Hobeïka <vincent.hobeika@gmail.com>
Build-Depends: debhelper (>= 9), libboost-dev, tcl-dev, libboost-wave-dev, libboost-thread-dev, libboost-system-dev
Standards-Version: 3.9.3
Homepage: http://www.inspirel.com/vera/
#Vcs-Git: git://git.debian.org/collab-maint/vera++.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/vera++.git;a=summary

Package: vera++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Programmable verification and analysis tool for C++
 Vera++ is a programmable tool for verification, analysis and transformation of
 C++ source code.
 Vera++ is mainly an engine that parses C++ source files and presents the
 result of this parsing to scripts in the form of various collections -
 the scripts are actually performing the requested tasks.
