=== debian/watch ===
version=3
http://www.inspirel.com/vera/ \
files/vera\+\+-(.*)\.tar\.gz
