## vera++ 1.2.1

=== debian/changelog ===
vera++ (1.2.1-2build9) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:13:33 +0100

vera++ (1.2.1-2build8) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:52:34 +0000

vera++ (1.2.1-2build7) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:04:25 +0000

vera++ (1.2.1-2build6) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:25:42 +0000

vera++ (1.2.1-2build5) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:52:59 +0000

vera++ (1.2.1-2build4) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:33:34 +0000

vera++ (1.2.1-2build3) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:51:03 +0000

vera++ (1.2.1-2build2) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:56:18 +0000

vera++ (1.2.1-2build1) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 10:52:13 +0100

vera++ (1.2.1-2) unstable; urgency=low

  * Removed dependency to pandoc which prevents migration to testing

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Tue, 04 Feb 2014 13:23:48 +0100

vera++ (1.2.1-1) unstable; urgency=low

  * Fixed watch files
  * Fixed homepage url (Closes: #709195)
  * Updated dependencies
  * Updated standards-version to 3.9.4 (no changes)

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Mon, 21 Oct 2013 15:58:32 +0200
