=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Hobeïka <vincent.hobeika@gmail.com>
-Build-Depends: debhelper (>= 9), libboost-dev, tcl-dev, libboost-wave-dev, libboost-thread-dev, libboost-system-dev
-Standards-Version: 3.9.3
-Homepage: http://www.inspirel.com/vera/
-#Vcs-Git: git://git.debian.org/collab-maint/vera++.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/vera++.git;a=summary
+Build-Depends: debhelper (>= 9), libboost-dev (>= 1.42), tcl-dev (>= 8), libboost-wave-dev (>= 1.42), libboost-thread-dev (>= 1.42), libboost-system-dev (>= 1.42), libboost-program-options-dev (>= 1.42), cmake
+Standards-Version: 3.9.5
+Homepage: https://bitbucket.org/verateam/vera/wiki/Home
+Vcs-Git: https://bitbucket.org/verateam/vera.git
+Vcs-Browser: https://bitbucket.org/verateam/vera/src
 
 Package: vera++
 Architecture: any
