=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -13,15 +13,10 @@
 
 ####### command line iterface tests #######
 
-# this test is supposed to not found the vera root dir and fail because of that,
-# but it will found one if vera has already been installed, so we don't run
-# it in that case.
-if(NOT EXISTS "${CMAKE_INSTALL_PREFIX}/lib/vera++/")
-  vera_add_test(NoRoot
-    "" "" "error: cannot open profile description for profile default\n" 1
-    "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp"
-  )
-endif()
+vera_add_test(NoRoot
+  "" "" "vera++: Cannot open profile description for profile 'default': No such file or directory\n" 1
+  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp"
+)
 
 vera_add_test(VeraRootEnvironment
   ""
@@ -334,6 +329,15 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
 )
 
+vera_add_test(ParameterInvalid
+  "" ""
+  "vera++: Invalid parameter association: max-line-length\n" 1
+  --root "${CMAKE_SOURCE_DIR}"
+  --rule L004
+  --parameter max-line-length
+  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
+)
+
 vera_add_test(ShortParameter
   ""
   "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: line is longer than 99 characters
@@ -363,7 +367,7 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
   --root "${CMAKE_SOURCE_DIR}"
   --show-rule
-  --profile full
+  --profile test
   --parameter max-directory-depth=20
   ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
 )
@@ -375,10 +379,45 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
   --root "${CMAKE_SOURCE_DIR}"
   --show-rule
-  -p full
+  -p test
   --parameter max-directory-depth=20
   ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
 )
+
+vera_add_test(ProfileLegacy
+  "" "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: L004: line is longer than 100 characters
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T013: no copyright notice found
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
+  --root "${CMAKE_SOURCE_DIR}"
+  --show-rule
+  --profile legacy
+  --parameter max-directory-depth=20
+  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
+)
+
+vera_add_test(Exclusions
+  "" "${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp:1: keyword 'case' not followed by a single space
+${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp:5: keyword 'explicit' not followed by a single space
+${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp:9: keyword 'struct' not followed by a single space\n" "" 0
+  --root "${CMAKE_SOURCE_DIR}"
+  --rule T003
+  --parameter max-directory-depth=20
+  --exclusions ${CMAKE_CURRENT_SOURCE_DIR}/exclusions
+  ${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp
+)
+
+vera_add_test(ExclusionsLegacy
+  "" "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: L004: line is longer than 100 characters
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T013: no copyright notice found
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
+  --root "${CMAKE_SOURCE_DIR}"
+  --show-rule
+  --profile test
+  --parameter max-directory-depth=20
+  --exclusions ${CMAKE_CURRENT_SOURCE_DIR}/exclusions_legacy
+  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
+)
+
 
 # just make sure the help test does not fail
 add_test(NAME Help COMMAND vera --help foo bar)
@@ -403,41 +442,3 @@
 6: horizontal tab used")
 
 vera_add_test(RuleL003
-  "" "${CMAKE_CURRENT_SOURCE_DIR}/L003-1.cpp:1: leading empty line(s)
-${CMAKE_CURRENT_SOURCE_DIR}/L003-2.cpp:4: trailing empty line(s)\n"
-  "" 0
-  --rule L003
-  --root "${CMAKE_SOURCE_DIR}"
-  ${CMAKE_CURRENT_SOURCE_DIR}/L003-1.cpp
-  ${CMAKE_CURRENT_SOURCE_DIR}/L003-2.cpp
-)
-
-vera_add_rule_test(L004 "1: line is longer than 100 characters
-2: line is longer than 100 characters")
-
-vera_add_rule_test(L005 "6: too many consecutive empty lines")
-
-vera_add_test(RuleL006
-  "" "${CMAKE_CURRENT_SOURCE_DIR}/L006-2.cpp:2001: source file is too long\n"
-  "" 0
-  --rule L006
-  --root "${CMAKE_SOURCE_DIR}"
-  ${CMAKE_CURRENT_SOURCE_DIR}/L006-1.cpp
-  ${CMAKE_CURRENT_SOURCE_DIR}/L006-2.cpp
-)
-
-vera_add_rule_test(T001 "6: line-continuation in one-line comment")
-
-set(output "4: reserved name used for macro (incorrect use of underscore)
-5: reserved name used for macro (incorrect use of underscore)")
-foreach(i RANGE 7 80)
-  set(output "${output}\n${i}: reserved name used for macro (keyword or alternative token redefined)")
-endforeach()
-vera_add_rule_test(T002 "${output}")
-
-vera_add_rule_test(T003 "1: keyword 'case' not followed by a single space
-2: keyword 'class' not followed by a single space
-3: keyword 'delete' not followed by a single space
-4: keyword 'enum' not followed by a single space
-5: keyword 'explicit' not followed by a single space
-6: keyword 'extern' not followed by a single space
