=== debian/changelog ===
vera++ (1.3.0-1) unstable; urgency=medium

  [ Vincent Hobeïka ]
  * New upstream release
    Closes: #847300

  [ Andreas Tille ]
  * Maintain in Salvage team
    Closes: #1115887
  * Build-Depends: liblua5.2-dev
  * Remove libpython2.7-dev from Build-Depends
  * d/watch: Fix by using Version = 5
  * d/rules: Its no sample
  * Build with Python3
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Does not support old luabind thus disabling LUA support
  * Fix Build with CMake 4
    Closes: #1113617

 -- Andreas Tille <tille@debian.org>  Sun, 12 Oct 2025 09:27:31 +0200
