=== debian/control ===
Source: vera++
Standards-Version: 4.7.2
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Vincent Hobeïka <vincent.hobeika@gmail.com>,
 Andreas Tille <tille@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libboost-dev,
 tcl-dev,
 libboost-wave-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-program-options-dev,
 libboost-python-dev,
 libboost-regex-dev,
 cmake,
 libpython3-dev,
 tcl8.6-dev,
Vcs-Browser: https://salsa.debian.org/salvage-team/vera
Vcs-Git: https://salsa.debian.org/salvage-team/vera.git
Homepage: https://bitbucket.org/verateam/vera/wiki/Home

Package: vera++
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 tclsh,
Description: Programmable verification and analysis tool for C++
 Vera++ is a programmable tool for verification, analysis and transformation of
 C++ source code.
 Vera++ is mainly an engine that parses C++ source files and presents the
 result of this parsing to scripts in the form of various collections -
 the scripts are actually performing the requested tasks.
