=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DVERA_USE_SYSTEM_BOOST:BOOL=ON -DVERA_LUA:BOOL=OFF -DVERA_PYTHON:BOOL=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5
