=== debian/watch ===
Version: 5

Mode: git
Source: https://bitbucket.org/verateam/vera.git
Matching-Pattern: refs/tags/v([\d\.\d]+)
